[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Support of new source packages in squeeze

On Fri, 06 Mar 2009, Michael Biebl wrote:
> I think the wiki page you mentioned with up-to-date information regarding this
> topic  would really be a good idea.

Yeah, I've noted that and will set it up.

> >> Build-Depends, it would imho be useful if lintian issued a warning, that this
> >> build-dep is no longer required with 3.0 (quilt).
> > 
> > Please file a wishlist bug against it, then. :)
> Only if you think this is a good idea. It was more of a question then a remark.

Well, the check would have to be better written, if quilt is called in
debian/rules, it must stay in Build-Depends obviously.

But if the package doesn't use quilt any more and rely entirely on
dpkg-source to apply patches, then strictly speaking it can be removed as
buildd do not need it. However a DD installing build-deps to hack on a
package might appreciate having quilt auto-installed to add a new patch
named differently than the automatic patch created by dpkg-source.

So the line is somewhat blur, and I'm not convinced a lintian check is
really required.

Raphaël Hertzog

Contribuez à Debian et gagnez un cahier de l'admin Debian Lenny :

Reply to: